Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::TCPProtocolProperties Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::TCPProtocolProperties:

[legend]
Collaboration diagram for RTCORBA::TCPProtocolProperties:

[legend]
List of all members.

## Public Types
typedef TCPProtocolProperties_ptr | _ptr_type
typedef TCPProtocolProperties_var | _var_type
## Public Methods
virtual CORBA::Long | send_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | send_buffer_size (CORBA::Long send_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Long | recv_buffer_size (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | recv_buffer_size (CORBA::Long recv_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | keep_alive (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | keep_alive (CORBA::Boolean keep_alive ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | dont_route (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | dont_route (CORBA::Boolean dont_route ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | no_delay (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | no_delay (CORBA::Boolean no_delay ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | enable_network_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | enable_network_priority (CORBA::Boolean enable_network_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
TCPProtocolProperties_ptr | _duplicate (TCPProtocolProperties_ptr obj)
TCPProtocolProperties_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
TCPProtocolProperties_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| TCPProtocolProperties (void)
virtual | ~TCPProtocolProperties (void)
## Private Methods
| TCPProtocolProperties (const TCPProtocolProperties &)
void | operator= (const TCPProtocolProperties &)

## Member Typedef Documentation

typedef TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_ptr_type

| Reimplemented from RTCORBA::ProtocolProperties.

typedef TCPProtocolProperties_var RTCORBA::TCPProtocolProperties::_var_type

| Reimplemented from RTCORBA::ProtocolProperties.

## Constructor & Destructor Documentation

RTCORBA::TCPProtocolProperties::TCPProtocolProperties | ( | void |  | ) | `[protected]`

RTCORBA::TCPProtocolProperties::~TCPProtocolProperties | ( | void |  | ) | `[protected, virtual]`

RTCORBA::TCPProtocolProperties::TCPProtocolProperties | ( | const TCPProtocolProperties & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_duplicate | ( | TCPProtocolProperties_ptr | obj | ) | `[static]`

const char * RTCORBA::TCPProtocolProperties::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

TCPProtocolProperties_ptr RTCORBA::TCPProtocolProperties::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from RTCORBA::ProtocolProperties.

void RTCORBA::TCPProtocolProperties::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void RTCORBA::TCPProtocolProperties::dont_route | ( | CORBA::Boolean dont_route | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::dont_route | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::enable_network_priority | ( | CORBA::Boolean enable_network_priority | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::enable_network_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::keep_alive | ( | CORBA::Boolean keep_alive | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::keep_alive | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

CORBA::Boolean RTCORBA::TCPProtocolProperties::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from RTCORBA::ProtocolProperties.

virtual void RTCORBA::TCPProtocolProperties::no_delay | ( | CORBA::Boolean no_delay | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual CORBA::Boolean RTCORBA::TCPProtocolProperties::no_delay | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

void RTCORBA::TCPProtocolProperties::operator= | ( | const TCPProtocolProperties & |  | ) | `[private]`

virtual void RTCORBA::TCPProtocolProperties::recv_buffer_size | ( | CORBA::Long recv_buffer_size | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual CORBA::Long RTCORBA::TCPProtocolProperties::recv_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual void RTCORBA::TCPProtocolProperties::send_buffer_size | ( | CORBA::Long send_buffer_size | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

virtual CORBA::Long RTCORBA::TCPProtocolProperties::send_buffer_size | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_TCP_Properties.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp